﻿@model List<Portal_Proveedor.Models.OnBase.Documentos>
@{
    ViewBag.Title = "Estado Cuenta";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<style>
    a.classname {
        background: url(@Url.Content("~/Content/images/imprimir.png")) no-repeat top left;
        display: block;
        width: auto;
        height: auto;
        text-indent: -9999px; /* hides the link text */
    }
</style>

<br />

<br />
<h2>Estado de Cuenta</h2>
<div>
    @Html.ActionLink("Imprimir", "ImprimirEstadoCuentaConFechas", new { id = fechaInicio }, new { @class = "classname", target = "_blank" })
</div>


<div class="table-responsive-md">
    <table class="table">
        <tbody id="tabla">
            <tr>
                <th scope="col">Fecha de Inicio</th>
                <th scope="col">
                    <input class="form-control input-md" required="required" type="text" name="fechaInicio" id="fechaInicio" />
                </th>
                <th scope="col">Fecha de Fin</th>
                <th scope="col">
                    <input class="form-control input-md" required="required" id="fechaFin" name="fechaFin" />
                </th>
                <th scope="col">
                    <input type="button" value="Buscar" id="buscar" class="btn btn-info" />
                </th>
            </tr>
        </tbody>
    </table>

</div>

<div class="target" id="partial">
    @{Html.RenderAction("EstadoDeCuenta"); }
</div>


<script>

    $('#fechaInicio').change(function () {
        var myDate = new Date($('#fechaInicio').val());
        var today = new Date($("#fechaFin").val());
        if (myDate > today) {
            alert('La fecha de inicio no puede ser mayor a la fecha de fin');
            //Alerta("error", "La fecha de emisión no puede ser mayor al día de hoy");
            $('#fechaFin').val('');
        }
    });

    $('#fechaFin').change(function () {
        var myDate = new Date($('#fechaInicio').val());
        var today = new Date($("#fechaFin").val());
        if (myDate > today) {
            alert('La fecha de inicio no puede ser mayor a la fecha de fin');
            //Alerta("error", "La fecha de emisión no puede ser mayor al día de hoy");
            $('#fechaFin').val('');
        }
    });


    $(function () {
        $("#fechaInicio").datepicker({ dateFormat: 'dd/MM/yy', maxDate: "0D" });
        $("#fechaFin").datepicker({ dateFormat: 'dd/MM/yy' });

        var inicio = new Date();
        $("#fechaFin").val(inicio.toLocaleDateString());
        inicio.setDate(inicio.getDate() - 30);
        $("#fechaInicio").val(inicio.toLocaleDateString()).datepicker({ dateFormat: 'dd/MM/yy' });;

        $('#buscar').on("click", function(){
            $.post('@Url.Action("EstadoDeCuenta", "OnBase")?Id=' + $("#fechaInicio").val() + '?' + $("#fechaFin").val()+'').always(function(){
                $('.target').load('/OnBase/EstadoDeCuenta/');
            })
        });

    });



</script>

